
--boundary_.oOo._17YDKuAnx9T/GA+oca3vNHzYnMU4vNsc
Content-Length: 2167
Content-Type: application/octet-stream
X-File-MD5: c729cc822ecca82c4811f8b9c7da7a4c
X-File-Mtime: 1675842276
X-File-Path: /MasterLoad/Work/UAV Cloud/22.希腊项目-阿里云-德国/12-连云港公安-5.1.0/2-helm-chart/charts/all-ingress-config/templates/NOTES.txt

{{- if or .Values.frontendApplication.enabled .Values.backendApplication.enabled .Values.apiGatewayApplication.enabled }}
{{- if .Values.frontendApplication.enabled }}
-- 已经开启前端应用的Ingress！
-- The Ingress of the front-end application has been opened!
{{- end }}
{{- if .Values.backendApplication.enabled }}
-- 已经开启后端应用的Ingress！
-- The Ingress of the back-end application has been opened!
{{- end }}
{{- if .Values.apiGatewayApplication.enabled }}
-- 已经开启Api和Gateway应用的Ingress！
-- Ingress of Api and Gateway applications has been opened!
{{- end }}
{{- else }}
[ERROR] 您并没有选择开启任何应用的Ingress！仅仅更新ConfigMap！！
[ERROR] You did not choose to open Ingress for any app! Just update the ConfigMap! !
{{- end }}
{{ if .Values.global.domain.IsPrivateDeployment }}
-- 您选择了【私有化】域名部署！！
-- [INFO] 请注意域名中不包含前缀！
-- 当前中移凌云的主页访问地址为：{{- if .Values.global.ingress.tls_enabled -}}https://{{- else -}}http://{{- end -}}{{ .Values.global.domain.DeployDomainName }}/
-- You have chosen [Private] domain name deployment! !
-- [INFO] Please note that the domain name does not contain a prefix!
-- The current homepage access address of China Mobile Lingyun is：{{- if .Values.global.ingress.tls_enabled -}}https://{{- else -}}http://{{- end -}}{{ .Values.global.domain.DeployDomainName }}/
{{- else }}
-- 当前部署的租户环境为：{{ .Values.global.domain.TenantEnvironment }}
-- 当前中移凌云的主页访问地址为：{{- if .Values.global.ingress.tls_enabled -}}https://{{- else -}}http://{{- end -}}{{ .Values.global.domain.DeployDomainName }}/{{ .Values.global.domain.TenantEnvironment }}/
-- The currently deployed tenant environment is: {{ .Values.global.domain.TenantEnvironment }}
-- The current homepage access address of China Mobile Lingyun is：{{- if .Values.global.ingress.tls_enabled -}}https://{{- else -}}http://{{- end -}}{{ .Values.global.domain.DeployDomainName }}/{{ .Values.global.domain.TenantEnvironment }}/
{{- end }}

[SUCCESS] Ingress Deployment has been accomplished !!!


--boundary_.oOo._17YDKuAnx9T/GA+oca3vNHzYnMU4vNsc
Content-Length: 2051
Content-Type: application/octet-stream
X-File-MD5: bc1195032d7007ecb164be4efad7e5a7
X-File-Mtime: 1675842276
X-File-Path: /MasterLoad/Work/UAV Cloud/22.希腊项目-阿里云-德国/12-连云港公安-5.1.0/2-helm-chart/charts/all-ingress-config/templates/configmap.yaml

{{- if .Values.enabled }}
  {{- $namespace := .Release.Namespace -}}
  {{- $TenantEnvironment := .Values.global.domain.TenantEnvironment -}}
  {{- $DeployDomainName := .Values.global.domain.DeployDomainName -}}
  {{- $IsPrivateDeployment := .Values.global.domain.IsPrivateDeployment -}}
  {{- range $applicationName, $values := .Values.frontendApplication.manifest }}
---
kind: ConfigMap
apiVersion: v1
metadata:
  {{- if eq $values.shortname "" }}
  name: tenant-prefix-platform
  {{- else }}
  name: tenant-prefix-{{ $values.shortname }}
  {{- end }}
  namespace: {{ $namespace }}
data:
  ingress-config.js: |-
    // 从ConfigMap中注入
    // injected from ConfigMap
    var __GlobalIngressConfig = {
    {{- if $IsPrivateDeployment }}
      TenantEnvironment: "",
    {{- else }}
      TenantEnvironment: {{ $TenantEnvironment | quote -}},
    {{- end }}
      CloudHOST: {{ $DeployDomainName | quote -}},
    {{- if not (contains "appli" $values.shortname ) }}
    {{- /* short name not contains application, judge for situations */}}
    {{- if contains "cms-portal" $values.shortname }}
        ApplicationShortName: "cmsportal",
    {{- else if contains "-rescue" $values.shortname }}
        ApplicationShortName: {{ trimSuffix "-rescue" $values.shortname | quote -}},
    {{- else if contains "screen" $values.shortname }}
        ApplicationShortName: {{ trimSuffix "-screen" $values.shortname | quote -}},
    {{- else }}
      ApplicationShortName: {{ $values.shortname | quote }},
    {{- end }}
    {{- else }}
      ApplicationShortName: {{ trimSuffix "-application" $values.shortname | quote -}},
    {{- end }}
    {{- range $appShortNamePlusTenantEnv, $appClientId := $values}}
    {{- $realApplicationNamePlusTenantEnv := cat $values.shortname $TenantEnvironment | replace " " "-" }}
    {{- if hasPrefix $appShortNamePlusTenantEnv $realApplicationNamePlusTenantEnv }}
      AppClientId: {{ $appClientId | quote }}
    {{- end }}
    {{- end }}
    }
---
{{- end }}
  {{- end }}
--boundary_.oOo._17YDKuAnx9T/GA+oca3vNHzYnMU4vNsc
Content-Length: 1532
Content-Type: application/octet-stream
X-File-MD5: 068a4b5e38d9c8c0a8ef1da10f6323ae
X-File-Mtime: 1675842276
X-File-Path: /MasterLoad/Work/UAV Cloud/22.希腊项目-阿里云-德国/12-连云港公安-5.1.0/2-helm-chart/charts/all-ingress-config/templates/_helpers.tpl

{{/* vim: set filetype=mustache: */}}
{{/*
Create chart name and version as used by the chart label.
We truncate at 63 chars because some Kubernetes name fields are limited to this (by the DNS naming spec).
*/}}
{{- define "all-ingress.name" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 }}
{{- end }}


{{/*
Create the tls configuration for https to enable trafik-ingress
*/}}
{{- define "all-ingress-front.full.applications" -}}
- cmii-uav-platform
- cmii-uav-platform-ai-brain
- cmii-uav-platform-hyperspectral
- cmii-uav-platform-mws
- cmii-uav-platform-oms
- cmii-uav-platform-open
- cmii-uav-platform-splice
- cmii-uav-platform-splice-visual
{{- end }}

{{/*
common annotations of frontend applications
*/}}
{{- define "all-ingress.frontend.commom.annotations" -}}
kubernetes.io/ingress.class: "nginx"
nginx.ingress.kubernetes.io/enable-cors: "true"
nginx.ingress.kubernetes.io/rewrite-target: /$1
{{- end }}

{{/*
Specific annotations created for api applications
*/}}
{{- define "all-ingress.all-apis.commom.annotations" -}}
kubernetes.io/ingress.class: "nginx"
nginx.ingress.kubernetes.io/enable-cors: "true"
nginx.ingress.kubernetes.io/rewrite-target: /$2
{{- end }}

{{/*
the specific annotations for project-minio
*/}}
{{/*{{- define "uavcloud-ingress.apiGateway.project-minio.annotations" -}}*/}}
{{/*kubernetes.io/ingress.class: "nginx"*/}}
{{/*nginx.ingress.kubernetes.io/enable-cors: "true"*/}}
{{/*nginx.ingress.kubernetes.io/rewrite-target: /api/uav/minio/$2*/}}
{{/*{{- end }}*/}}
--boundary_.oOo._17YDKuAnx9T/GA+oca3vNHzYnMU4vNsc
Content-Length: 205695
Content-Type: application/octet-stream
X-File-MD5: f242e709a504f80bf75e3d0f87ba6d85
X-File-Mtime: 1695806825
X-File-Path: /MasterLoad/Work/UAV Cloud/22.希腊项目-阿里云-德国/12-连云港公安-5.1.0/demo-5.1.0.yaml


---
# Source: outside-deploy/charts/frontend-app/templates/configmap.yaml
kind: ConfigMap
apiVersion: v1
metadata:
  name: nginx-cm
  namespace: demo
  labels:
    cmii.type: frontend
data:
  nginx.conf: |
    user root;
    worker_processes  1;

    events {
        worker_connections  1024;
    }
    http {
        include       mime.types;
        default_type  application/octet-stream;

        sendfile        on;

        keepalive_timeout  65;

        server {
            listen       9528;
            server_name  localhost;
            gzip on;

            location / {
                root   /home/cmii-platform/dist;
                index  index.html index.htm;
            }

            error_page   500 502 503 504  /50x.html;
            location = /50x.html {
                root   html;
            }
        }
    }
---
# Source: outside-deploy/charts/frontend-app/templates/configmap.yaml
kind: ConfigMap
apiVersion: v1
metadata:
  name: default-nginx-cm
  namespace: demo
data:
  default.conf: |
    server 